Subject: Re: crash in tcp_fragment

From: Tim Hartrick <[email-masked]>
Date: Mon, 27 Feb 2012 16:29:52 -0700

Ilpo,

Thanks for the answers.  This gives me some clarity on how to address
the problem.

Tim Hartrick

On Tue, 2012-02-28 at 01:18 +0200, Ilpo Järvinen wrote:
> On Sun, 26 Feb 2012, Tim Hartrick wrote:
> 
> > 	We have been seeing the crash cited below on a number of our systems
> > running kernel version 2.6.34, 2.6.36 and 2.6.38 using a number of
> > different GigE controllers.  I note that commit
> > 2fceec13375e5d98ef033c6b0ee03943fc460950 introduced a band-aid for the
> > problem by replacing the BUG_ON() to a WARN().  I have two questions
> > related to this.
> > 
> > 1) Is there a fix for the root cause?  Can I get a pointer to the commit
> > that claims to address the root cause?
> 
> There have been multiple fixes recently on the counters which this code 
> depends on, however, nobody has afaict fully analyzed what else those 
> fixed.
> 
> > 2) Will disabling GSO/TSO make the problem go away?  That is, is
> > something related to GSO/TSO at the root of the problem?
> 
> Very likely.
>